setup 1.9 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364
  1. # -*- mode: sh -*-
  2. #
  3. # © 2017-2018 Ansgar Burchardt <ansgar@debian.org>
  4. # License: GPL-2+
  5. #
  6. # This program is free software; you can redistribute it and/or modify
  7. # it under the terms of the GNU General Public License as published by
  8. # the Free Software Foundation; either version 2 of the License, or
  9. # (at your option) any later version.
  10. #
  11. # This program is distributed in the hope that it will be useful,
  12. # but WITHOUT ANY WARRANTY; without even the implied warranty of
  13. # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  14. # GNU General Public License for more details.
  15. #
  16. # You should have received a copy of the GNU General Public License
  17. # along with this program. If not, see <https://www.gnu.org/licenses/>.
  18. if [[ ! -v DAK_INTEGRATION_TEST || ! -v DAK_ROOT ]]; then
  19. exit 1
  20. fi
  21. test-setup() {
  22. local setupdir="${DAK_ROOT}/setup"
  23. export DAKBASE=$(mktemp -d)
  24. export HOME="${DAKBASE}/home"
  25. export DAKHOST=dak-master
  26. export PGDATABASE=projectb
  27. mkdir "$HOME" || exit $?
  28. ${setupdir}/dak-setup.sh
  29. export PATH="${DAKBASE}/bin:${PATH}"
  30. export DAK_CONFIG="${DAKBASE}/etc/dak.conf"
  31. }
  32. test-cleanup() {
  33. if [[ -v DAKBASE ]]; then
  34. rm -rf -- "${DAKBASE}"
  35. fi
  36. }
  37. if [[ ! -v DAK_INTERACTIVE_SHELL ]]; then
  38. trap test-cleanup EXIT
  39. test-setup
  40. fi
  41. if [ "$0" = "${BASH_SOURCE}" ] ; then
  42. echo "============= STARTING interactive dak integration test shell ==========="
  43. echo
  44. echo "Run psql for accessing projectb"
  45. echo "Run dak commands via \"dak <cmd>\""
  46. echo "Note that some data (e.g. postgres and dak.conf) will be discarded at"
  47. echo "the end of the run"
  48. echo
  49. echo "You may want to run \"make -C tests/fixtures/packages\" and"
  50. echo "\"integration-tests/tests/0001-basic\" test to import some basic data"
  51. echo
  52. DAK_INTERACTIVE_SHELL=1 "${SHELL}" -s
  53. echo "============= STOPPING interactive dak integration test shell ==========="
  54. fi